{% extends "src/html/_template.njk" %}
{% set title = "Региональные координаторы" %}
{% set footer_border = true %}

{% block main %}
    <section class="main">
        <div class="main__wrap">
            <div class="container">
                <ul class="breadcrumb">
                    <li class="breadcrumb__item">
                        <a href="#" class="breadcrumb__link">Главная</a>
                    </li>
                    <li class="breadcrumb__item">
                        <a href="#" class="breadcrumb__link">О нас</a>
                    </li>
                    <li class="breadcrumb__item active">{{ title }}</li>
                </ul><!-- breadcrumb -->

                <div class="page-header page-header-wrap">
                    <h1 class="page-header__title text-uppercase">{{ title }}</h1>
                    <div class="selection" data-dropdown data-selection>
                        <div class="selection__button" data-dropdown-toggle>
                            <span>Все регионы</span>
                        </div><!-- .selection__button -->
                        <div class="selection__content" data-dropdown-content>
                            <div class="selection__field">
                                <div class="field field--sm">
                                    <input type="text" name="selectionSearch" placeholder="Поиск">
                                    <button type="button" class="field__button">
                                        <i>
                                            <svg class="ico-svg" viewBox="0 0 24 25" xmlns="http://www.w3.org/2000/svg">
                                                <use xlink:href="img/sprites/sprite-color.svg#search" xmlns:xlink="http://www.w3.org/1999/xlink"></use>
                                            </svg>
                                        </i>
                                    </button>
                                </div>
                            </div><!-- .selection__field -->
                            <div class="selection__main">
                                <div class="selection__scroll">
                                    <div class="selection__list" data-selection-list>
                                        <div class="selection__item" data-selection-item="Москва и МО">Москва и МО</div>
                                        <div class="selection__item" data-selection-item="Санкт-Петербург">Санкт-Петербург</div>
                                        <div class="selection__item" data-selection-item="Адыгея">Адыгея</div>
                                        <div class="selection__item" data-selection-item="Алтайский край">Алтайский край</div>
                                        <div class="selection__item" data-selection-item="Амурская область">Амурская область</div>
                                        <div class="selection__item" data-selection-item="Архангельская область">Архангельская область</div>

                                        <div class="selection__item" data-selection-item="Алтайский край">Алтайский край</div>
                                        <div class="selection__item" data-selection-item="Амурская область">Амурская область</div>
                                        <div class="selection__item" data-selection-item="Архангельская область">Архангельская область</div>
                                        <div class="selection__item" data-selection-item="Алтайский край">Алтайский край</div>
                                        <div class="selection__item" data-selection-item="Амурская область">Амурская область</div>
                                        <div class="selection__item" data-selection-item="Архангельская область">Архангельская область</div>
                                    </div><!-- .selection__list -->
                                </div>
                            </div><!-- .selection__main -->
                        </div>
                    </div><!-- .content-filter -->
                </div><!-- .page-header -->


                <div class="card-page" data-cards>

                </div>

                <div class="cards-content">

                    <div class="cards">
                        <div class="cards__header">Алтайский край</div><!-- .cards__header -->
                        <div class="cards__content">
                            <div class="card" data-card>
                                <div class="card__person">Кувай Юлия Федоровна</div>
                                <div class="card__position">старший методист КГБУ ДО "АКЦДОТиК "Алтай"</div>
                                <div class="card__contacts">
                                    <a href="mailto:ouk01@mail.ru" class="card__contact">
                                        <i>
                                            <img src="img/icon_email.svg" class="img-fluid" alt="">
                                        </i>
                                        <span>ouk01@mail.ru</span>
                                    </a>
                                    <a href="tel:89059262980" class="card__contact">
                                        <i>
                                            <img src="img/icon_phone.png" class="img-fluid" alt="">
                                        </i>
                                        <span>8 (905) 926-29-80</span>
                                    </a>
                                </div>
                            </div><!-- .card -->
                        </div><!-- .cards__content -->
                    </div><!-- .cards -->

                    <div class="cards">
                        <div class="cards__header">Костромская область</div>
                        <div class="cards__content">
                            <div class="card" data-card>
                                <div class="card__person">Пигалева Надежда Павловна</div>
                                <div class="card__position">
                                    зав. кафедрой теории и методики обучения ОГБОУ ДПО "Костромской областной институт развития образования
                                </div>
                                <div class="card__contacts">
                                    <a href="mailto:ouk01@mail.ru" class="card__contact">
                                        <i>
                                            <img src="img/icon_email.svg" class="img-fluid" alt="">
                                        </i>
                                        <span>ouk01@mail.ru</span>
                                    </a>
                                    <a href="tel:89059262980" class="card__contact">
                                        <i>
                                            <img src="img/icon_phone.png" class="img-fluid" alt="">
                                        </i>
                                        <span>8 (905) 926-29-80</span>
                                    </a>
                                </div>
                            </div><!-- .card -->
                            <div class="card" data-card>
                                <div class="card__person">Кудрявцева Анна Владимировна</div>
                                <div class="card__position">старший преподаватель ОГБОУ ДПО "Костромской областной институт развития образования"</div>
                                <div class="card__contacts">
                                    <a href="mailto:ouk01@mail.ru" class="card__contact">
                                        <i>
                                            <img src="img/icon_email.svg" class="img-fluid" alt="">
                                        </i>
                                        <span>ouk01@mail.ru</span>
                                    </a>
                                    <a href="tel:89059262980" class="card__contact">
                                        <i>
                                            <img src="img/icon_phone.png" class="img-fluid" alt="">
                                        </i>
                                        <span>8 (905) 926-29-80</span>
                                    </a>
                                </div>
                            </div><!-- .card -->
                            <div class="card" data-card>
                                <div class="card__person">Малкова Лариса Александровна</div>
                                <div class="card__position">методист отдела ОГБОУ ДПО «Костромской областной институт развития образования»</div>
                                <div class="card__contacts">
                                    <a href="mailto:ouk01@mail.ru" class="card__contact">
                                        <i>
                                            <img src="img/icon_email.svg" class="img-fluid" alt="">
                                        </i>
                                        <span>ouk01@mail.ru</span>
                                    </a>
                                    <a href="tel:89059262980" class="card__contact">
                                        <i>
                                            <img src="img/icon_phone.png" class="img-fluid" alt="">
                                        </i>
                                        <span>8 (905) 926-29-80</span>
                                    </a>
                                </div>
                            </div><!-- .card -->
                            <div class="card" data-card>
                                <div class="card__person">Зарубина Ольга Григорьевна</div>
                                <div class="card__position">начальник отдела АНО «Центр опережающей Профессиональной подготовки»</div>
                                <div class="card__contacts">
                                    <a href="mailto:ouk01@mail.ru" class="card__contact">
                                        <i>
                                            <img src="img/icon_email.svg" class="img-fluid" alt="">
                                        </i>
                                        <span>ouk01@mail.ru</span>
                                    </a>
                                    <a href="tel:89059262980" class="card__contact">
                                        <i>
                                            <img src="img/icon_phone.png" class="img-fluid" alt="">
                                        </i>
                                        <span>8 (905) 926-29-80</span>
                                    </a>
                                </div>
                            </div><!-- .card -->
                        </div>
                    </div><!-- .cards -->
                </div>

            </div>
        </div>
        <div class="region-bg">
            <img src="img/region_bg.png" alt="">
        </div>
    </section>
{% endblock %}

{% block pageScripts %}
    <script src="js/result obj.js"></script>
    <script src="js/cards.js"></script>
{% endblock %}

<script>
    const personData = persons
    const cardContainer = document.querySelector('[data-cards]')
    //  let cardGroup

    //   console.log(personData['Белгородская область'])

    personData['Белгородская область'].forEach(elem => {
        //      console.log(elem)
    });

    for (let key in personData) {
        //    console.log(personData[key][0].email)
        //     personData[key].forEach(elem => {
        //         card =
        //             '<div class="card" data-card>' +
        //             '<div class="card__person">' + elem.fullname + '</div>' +
        //             '<div class="card__position">' + elem.position + '</div>' +
        //             '<div class="card__contacts">' +
        //             '<a href="mailto:ouk01@mail.ru" class="card__contact">' +
        //             '<i><img src="img/icon_email.svg" class="img-fluid" alt=""></i>' +
        //             '<span>' + elem.email + '</span>' +
        //             '</a>' +
        //             '<a href="tel:elem.phonenumber" class="card__contact">' +
        //             '<i><img src="img/icon_phone.png" class="img-fluid" alt=""></i>' +
        //             '<sspan>' + elem.phonenumber + '</sspan>' +
        //             '</a>' +
        //             '</div>' +
        //             '</div>'
        //     });
        // console.log(card)
        // console.log('---------')
    }

    for (let key in personData) {
        if (personData.hasOwnProperty(key)) {
            cardGroup =
                '<div class="cards">' +
                '<div class="cards__header">' + key + '</div>' +
                '<div class="cards__content">' +
                personData[key].forEach(elem => {
                    console.log(elem)
                }) +
                '</div>' +
                '</div>'
            cardContainer.insertAdjacentHTML('beforeend', cardGroup);
        }
    }
</script>

